Subject: (urth) Grotestad and Grandecitta

From: Andrew Mason <andrew.mason53 at googlemail.com>
Date: Tue, 08 Feb 2011 21:31:26 +0000

Gerry Quinn wrote:
Gerry Quinn wrote.

>> Curious... the two whorl city names we do know how to parse both mean 'Big
>> City'.
>
> There's also Urbs, which I suppose just means 'city'. And 'Viron' might come
> from 'environment' (c.f. Brian Aldiss's 'Total Environment').
>
> Methinks Typhon's planners had the imagination typical of bureaucrats...

Also Gens, 'tribe', and Wick 'settlement' or the like. On the other
hand, as well as Trivigaunte there is Palustria, 'marshland', and the
original Pajarocu. Perhaps other gods chose those names - presumably
Sphigx did for Trivigaunte.